Skip to main content
POST
/
api
/
organizations
/
{organizationId}
/
whitelabel
/
users
/
{userId}
White Label Admin - Update white label user
curl --request POST \
  --url https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/whitelabel/users/{userId} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "email": "quijote@lamancha.es",
  "name": "Don Quijote de la Mancha",
  "activated": true,
  "suspended": false,
  "suspensionReason": "Spamming the forum",
  "jobTitle": "Knight",
  "experiments": [
    "<string>"
  ]
}
'
import requests

url = "https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/whitelabel/users/{userId}"

payload = {
"email": "quijote@lamancha.es",
"name": "Don Quijote de la Mancha",
"activated": True,
"suspended": False,
"suspensionReason": "Spamming the forum",
"jobTitle": "Knight",
"experiments": ["<string>"]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'quijote@lamancha.es',
name: 'Don Quijote de la Mancha',
activated: true,
suspended: false,
suspensionReason: 'Spamming the forum',
jobTitle: 'Knight',
experiments: ['<string>']
})
};

fetch('https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/whitelabel/users/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "error": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

organizationId
integer
required

Organization ID

userId
integer
required

User ID

Body

application/json

Only fields set in this object will be updated.

email
string

New email. This will also update the forum's email address but the user may need to logout/login back

Example:

"quijote@lamancha.es"

name
string

New user full name

Example:

"Don Quijote de la Mancha"

activated
boolean

Whether the user is active or not. Can only go from inactive to active.

Example:

true

suspended
boolean

Whether the user is suspended or not.

Example:

false

suspensionReason
string

Reason for suspension

Example:

"Spamming the forum"

jobTitle
string

New user job title

Example:

"Knight"

experiments
string[]

List of user experiments

Response

200 - application/json

OK

success
boolean
required

Whether the operation succeeded

error
string

Optional error description (set if 'success' was false)